com.fasterxml.jackson.databind.annotation

## Annotation Type JsonNaming

    @Target(value={ANNOTATION_TYPE,TYPE})
    @Retention(value=RUNTIME)
    public @interface JsonNaming

Annotation that can be used to indicate a `PropertyNamingStrategy` to use for annotated class. Overrides the global (default) strategy. Note that if the `value()` property is omitted, its default value means "use default naming" (that is, no alternate naming method is used). This can be used as an override with mix-ins.

Since:
  2.1

### Optional Element Summary

Optional Elements
`Class<? extends PropertyNamingStrategy>` `value`

### Element Detail

#### value

    public abstract Class<? extends PropertyNamingStrategy> value

Returns:
  Type of `PropertyNamingStrategy` to use, if any; default value of `PropertyNamingStrategy.class` means "no strategy specified" (and may also be used for overriding to remove otherwise applicable naming strategy)

Default:
  com.fasterxml.jackson.databind.PropertyNamingStrategy.class